# Kill Item if Dropped Instead
kill @e[type=minecraft:item,nbt={Item:{tag:{EnchantmentPlusData:{isCraftButton:1b}}}}]

# Find Clicked Player
execute as @a store success score @s ENCHTemp run clear @s minecraft:experience_bottle{EnchantmentPlusData:{isCraftButton:1b}}
execute as @a[scores={ENCHTemp=1}] store result score @s ENCHTemp2 run data get entity @s XpLevel
execute as @a[scores={ENCHTemp=1},gamemode=creative] run scoreboard players set @s ENCHTemp2 99999

# Vanilla Item Enchantment
$execute if score @s ENCHRecipeId matches 5000 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(EnchantItem).. run function enchantmentplus:table/recipes/vanilla/item/craft with storage enchantmentplus XpCosts

# Combine Enchanted Books
$execute if score @s ENCHRecipeId matches 4000 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(CombineBook).. run function enchantmentplus:table/recipes/vanilla/book/craft with storage enchantmentplus XpCosts

# Disenchant Item
$execute if score @s ENCHRecipeId matches 2000 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(DisenchantmentModule).. run function enchantmentplus:table/recipes/disenchant/craft with storage enchantmentplus XpCosts

# Disenchant Book
$execute if score @s ENCHRecipeId matches 3000 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(DisenchantmentModule).. run function enchantmentplus:table/recipes/disenchant/craft with storage enchantmentplus XpCosts

# Aqua Affinity
$execute if score @s ENCHRecipeId matches 2001 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/aqua_affinity/craft with storage enchantmentplus XpCosts

# Bane of Arthropods
$execute if score @s ENCHRecipeId matches 2002 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/bane_of_arthropods/craft with storage enchantmentplus XpCosts

# Blast Protection
$execute if score @s ENCHRecipeId matches 2003 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/blast_protection/craft with storage enchantmentplus XpCosts

# Channeling
$execute if score @s ENCHRecipeId matches 2004 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/channeling/craft with storage enchantmentplus XpCosts

# Curse of Binding
$execute if score @s ENCHRecipeId matches 2005 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/curse_of_binding/craft with storage enchantmentplus XpCosts

# Curse of Vanishing
$execute if score @s ENCHRecipeId matches 2006 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/curse_of_vanishing/craft with storage enchantmentplus XpCosts

# Depth Strider
$execute if score @s ENCHRecipeId matches 2007 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/depth_strider/craft with storage enchantmentplus XpCosts

# Efficiency
$execute if score @s ENCHRecipeId matches 2008 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/efficiency/craft with storage enchantmentplus XpCosts

# Feather Falling
$execute if score @s ENCHRecipeId matches 2009 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/feather_falling/craft with storage enchantmentplus XpCosts

# Fire Aspect
$execute if score @s ENCHRecipeId matches 2010 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/fire_aspect/craft with storage enchantmentplus XpCosts

# Fire Protection
$execute if score @s ENCHRecipeId matches 2011 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/fire_protection/craft with storage enchantmentplus XpCosts

# Flame
$execute if score @s ENCHRecipeId matches 2012 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/flame/craft with storage enchantmentplus XpCosts

# Fortune
$execute if score @s ENCHRecipeId matches 2013 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/fortune/craft with storage enchantmentplus XpCosts

# Frost Walker
$execute if score @s ENCHRecipeId matches 2014 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/frost_walker/craft with storage enchantmentplus XpCosts

# Impaling
$execute if score @s ENCHRecipeId matches 2015 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/impaling/craft with storage enchantmentplus XpCosts

# Infinity
$execute if score @s ENCHRecipeId matches 2016 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/infinity/craft with storage enchantmentplus XpCosts

# Knockback
$execute if score @s ENCHRecipeId matches 2017 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/knockback/craft with storage enchantmentplus XpCosts

# Looting
$execute if score @s ENCHRecipeId matches 2018 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/looting/craft with storage enchantmentplus XpCosts

# Loyalty
$execute if score @s ENCHRecipeId matches 2019 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/loyalty/craft with storage enchantmentplus XpCosts

# Luck of the Sea
$execute if score @s ENCHRecipeId matches 2020 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/luck_of_the_sea/craft with storage enchantmentplus XpCosts

# Lure
$execute if score @s ENCHRecipeId matches 2021 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/lure/craft with storage enchantmentplus XpCosts

# Mending
$execute if score @s ENCHRecipeId matches 2022 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/mending/craft with storage enchantmentplus XpCosts

# Multishot
$execute if score @s ENCHRecipeId matches 2023 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/multishot/craft with storage enchantmentplus XpCosts

# Piercing
$execute if score @s ENCHRecipeId matches 2024 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/piercing/craft with storage enchantmentplus XpCosts

# Power
$execute if score @s ENCHRecipeId matches 2025 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/power/craft with storage enchantmentplus XpCosts

# Projectile Protection
$execute if score @s ENCHRecipeId matches 2026 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/projectile_protection/craft with storage enchantmentplus XpCosts

# Protection
$execute if score @s ENCHRecipeId matches 2027 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/protection/craft with storage enchantmentplus XpCosts

# Punch
$execute if score @s ENCHRecipeId matches 2028 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/punch/craft with storage enchantmentplus XpCosts

# Quick Charge
$execute if score @s ENCHRecipeId matches 2029 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/quick_charge/craft with storage enchantmentplus XpCosts

# Respiration
$execute if score @s ENCHRecipeId matches 2030 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/respiration/craft with storage enchantmentplus XpCosts

# Riptide
$execute if score @s ENCHRecipeId matches 2031 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/riptide/craft with storage enchantmentplus XpCosts

# Sharpness
$execute if score @s ENCHRecipeId matches 2032 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/sharpness/craft with storage enchantmentplus XpCosts

# Silk Touch
$execute if score @s ENCHRecipeId matches 2033 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/silk_touch/craft with storage enchantmentplus XpCosts

# Smite
$execute if score @s ENCHRecipeId matches 2034 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/smite/craft with storage enchantmentplus XpCosts

# Soul Speed
$execute if score @s ENCHRecipeId matches 2035 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/soul_speed/craft with storage enchantmentplus XpCosts

# Sweeping Edge
$execute if score @s ENCHRecipeId matches 2036 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/sweeping_edge/craft with storage enchantmentplus XpCosts

# Swift Sneak
$execute if score @s ENCHRecipeId matches 2039 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/swift_sneak/craft with storage enchantmentplus XpCosts

# Thorns
$execute if score @s ENCHRecipeId matches 2037 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/thorns/craft with storage enchantmentplus XpCosts

# Unbreaking
$execute if score @s ENCHRecipeId matches 2038 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ResourceModule).. run function enchantmentplus:table/recipes/resource/unbreaking/craft with storage enchantmentplus XpCosts

# Remove Custom Enchantment
$execute if score @s ENCHRecipeId matches 1000 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(RemoveCustom).. run function enchantmentplus:table/recipes/custom/remove/craft with storage enchantmentplus XpCosts

# Amplified Shot
$execute if score @s ENCHRecipeId matches 1028 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(AmplifiedShot).. run function enchantmentplus:table/recipes/custom/amplified_shot/craft with storage enchantmentplus XpCosts

# Antigravity
$execute if score @s ENCHRecipeId matches 1001 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Antigravity).. run function enchantmentplus:table/recipes/custom/antigravity/craft with storage enchantmentplus XpCosts

# Autosmelt
$execute if score @s ENCHRecipeId matches 1002 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Autosmelt).. run function enchantmentplus:table/recipes/custom/autosmelt/craft with storage enchantmentplus XpCosts

# Beheading
$execute if score @s ENCHRecipeId matches 1003 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Beheading).. run function enchantmentplus:table/recipes/custom/beheading/craft with storage enchantmentplus XpCosts

# Cleaving
$execute if score @s ENCHRecipeId matches 1026 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Cleaving).. run function enchantmentplus:table/recipes/custom/cleaving/craft with storage enchantmentplus XpCosts

# Deflect
$execute if score @s ENCHRecipeId matches 1004 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Deflect).. run function enchantmentplus:table/recipes/custom/deflect/craft with storage enchantmentplus XpCosts

# Direct
$execute if score @s ENCHRecipeId matches 1005 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Direct).. run function enchantmentplus:table/recipes/custom/direct/craft with storage enchantmentplus XpCosts

# Experience Boost
$execute if score @s ENCHRecipeId matches 1006 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ExperienceBoost).. run function enchantmentplus:table/recipes/custom/experience_boost/craft with storage enchantmentplus XpCosts

# Eyes of Owl
$execute if score @s ENCHRecipeId matches 1007 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(EyesOfOwl).. run function enchantmentplus:table/recipes/custom/eyes_of_owl/craft with storage enchantmentplus XpCosts

# Feeding Module
$execute if score @s ENCHRecipeId matches 1008 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(FeedingModule).. run function enchantmentplus:table/recipes/custom/feeding_module/craft with storage enchantmentplus XpCosts

# Health Boost
$execute if score @s ENCHRecipeId matches 1009 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(HealthBoost).. run function enchantmentplus:table/recipes/custom/health_boost/craft with storage enchantmentplus XpCosts

# Heaven's Lightness
$execute if score @s ENCHRecipeId matches 1010 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(HeavensLightness).. run function enchantmentplus:table/recipes/custom/heavens_lightness/craft with storage enchantmentplus XpCosts

# Icy
$execute if score @s ENCHRecipeId matches 1011 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Icy).. run function enchantmentplus:table/recipes/custom/icy/craft with storage enchantmentplus XpCosts

# Judgment Shot
$execute if score @s ENCHRecipeId matches 1023 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(JudgmentShot).. run function enchantmentplus:table/recipes/custom/judgment_shot/craft with storage enchantmentplus XpCosts

# Lava Walker
$execute if score @s ENCHRecipeId matches 1012 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(LavaWalker).. run function enchantmentplus:table/recipes/custom/lava_walker/craft with storage enchantmentplus XpCosts

# Leaping
$execute if score @s ENCHRecipeId matches 1013 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Leaping).. run function enchantmentplus:table/recipes/custom/leaping/craft with storage enchantmentplus XpCosts

# Lifesteal
$execute if score @s ENCHRecipeId matches 1014 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Lifesteal).. run function enchantmentplus:table/recipes/custom/lifesteal/craft with storage enchantmentplus XpCosts

# Lumberjack
$execute if score @s ENCHRecipeId matches 1015 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Lumberjack).. run function enchantmentplus:table/recipes/custom/lumberjack/craft with storage enchantmentplus XpCosts

# Royal Guard
$execute if score @s ENCHRecipeId matches 1022 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(RoyalGuard).. run function enchantmentplus:table/recipes/custom/royal_guard/craft with storage enchantmentplus XpCosts

# Shadow Hunter
$execute if score @s ENCHRecipeId matches 1025 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ShadowHunter).. run function enchantmentplus:table/recipes/custom/shadow_hunter/craft with storage enchantmentplus XpCosts

# Steadfast Spikes
$execute if score @s ENCHRecipeId matches 1027 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(SteadfastSpikes).. run function enchantmentplus:table/recipes/custom/steadfast_spikes/craft with storage enchantmentplus XpCosts

# Stone Fists
$execute if score @s ENCHRecipeId matches 1016 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(StoneFists).. run function enchantmentplus:table/recipes/custom/stone_fists/craft with storage enchantmentplus XpCosts

# Thermal Plating
$execute if score @s ENCHRecipeId matches 1017 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(ThermalPlating).. run function enchantmentplus:table/recipes/custom/thermal_plating/craft with storage enchantmentplus XpCosts

# Traveler
$execute if score @s ENCHRecipeId matches 1018 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Traveler).. run function enchantmentplus:table/recipes/custom/traveler/craft with storage enchantmentplus XpCosts

# Unbreakable
$execute if score @s ENCHRecipeId matches 1019 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Unbreakable).. run function enchantmentplus:table/recipes/custom/unbreakable/craft with storage enchantmentplus XpCosts

# Vein Miner
$execute if score @s ENCHRecipeId matches 1020 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(VeinMiner).. run function enchantmentplus:table/recipes/custom/vein_miner/craft with storage enchantmentplus XpCosts

# Void Strike
$execute if score @s ENCHRecipeId matches 1024 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(VoidStrike).. run function enchantmentplus:table/recipes/custom/void_strike/craft with storage enchantmentplus XpCosts

# Wide
$execute if score @s ENCHRecipeId matches 1021 if entity @a[scores={ENCHTemp=1..}] if score @p[scores={ENCHTemp=1..}] ENCHTemp2 matches $(Wide).. run function enchantmentplus:table/recipes/custom/wide/craft with storage enchantmentplus XpCosts