# Title
tellraw @s [{"text":"\n\n\n\n\n\n\n\n\n\n══════ ","color":"yellow"},{"text":"Enchantment+ Admin Menu ","color":"aqua","hoverEvent":{"action":"show_text","contents":[{"text":"Enable/disable/limit the features\nof the data pack here"}]}},{"text":"════ ","color":"yellow"},{"text":"●","color":"red","hoverEvent":{"action":"show_text","contents":[{"text":"Reset to default settings?"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/reset_to_default"}},{"text":" ═","color":"yellow"}]
tellraw @s {"text":""}

# Option Menu
execute if score %OptionMenuEnabled ENCHSettings matches 1 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Option Menu: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls the access of Option Menu"}]}},{"text":"[ON]","color":"green"},{"text":" / ","color":"white"},{"text":"[OFF]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to disable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/option_menu_off"}}]
execute if score %OptionMenuEnabled ENCHSettings matches 0 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Option Menu: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls the access of Option Menu"}]}},{"text":"[ON]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to enable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/option_menu_on"}},{"text":" / ","color":"white"},{"text":"[OFF]","color":"red"}]

# Vanilla Module
execute if score %VanillaModuleEnabled ENCHSettings matches 1 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Vanilla Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls enchanting items with books\nand combining books"}]}},{"text":"[ON]","color":"green"},{"text":" / ","color":"white"},{"text":"[OFF]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to disable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/vanilla_module_off"}}]
execute if score %VanillaModuleEnabled ENCHSettings matches 0 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Vanilla Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls enchanting items with books\nand combining books"}]}},{"text":"[ON]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to enable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/vanilla_module_on"}},{"text":" / ","color":"white"},{"text":"[OFF]","color":"red"}]

# Book Enchanting
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Book Enchanting XP Requirement: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the required experience levels\nfor enchanting items with books"}]}},{"storage":"enchantmentplus","nbt":"XpRequirements.EnchantItem","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpRequirements.EnchantItem set value "}}]
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Book Enchanting XP Cost: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the experience level cost\nfor enchanting items with books"}]}},{"storage":"enchantmentplus","nbt":"XpCosts.EnchantItem","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpCosts.EnchantItem set value "}}]

# Book Combining
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Book Combining XP Requirement: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the required experience levels\nfor combining books"}]}},{"storage":"enchantmentplus","nbt":"XpRequirements.CombineBook","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpRequirements.CombineBook set value "}}]
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Book Combining XP Cost: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the experience level cost\nfor combining books"}]}},{"storage":"enchantmentplus","nbt":"XpCosts.CombineBook","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpCosts.CombineBook set value "}}]

# Custom Module
execute if score %CustomModuleEnabled ENCHSettings matches 1 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Custom Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls the recipes for custom enchantments"}]}},{"text":"[ON]","color":"green"},{"text":" / ","color":"white"},{"text":"[OFF]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to disable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/custom_module_off"}}]
execute if score %CustomModuleEnabled ENCHSettings matches 0 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Custom Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls the recipes for custom enchantments"}]}},{"text":"[ON]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to enable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/custom_module_on"}},{"text":" / ","color":"white"},{"text":"[OFF]","color":"red"}]

# Resource Module
execute if score %ResourceModuleEnabled ENCHSettings matches 1 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Resource Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls enchanting items with resources"}]}},{"text":"[ON]","color":"green"},{"text":" / ","color":"white"},{"text":"[OFF]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to disable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/resource_module_off"}}]
execute if score %ResourceModuleEnabled ENCHSettings matches 0 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Resource Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls enchanting items with resources"}]}},{"text":"[ON]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to enable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/resource_module_on"}},{"text":" / ","color":"white"},{"text":"[OFF]","color":"red"}]

# Page Buttons
tellraw @s {"text":""}
tellraw @s [{"text":"══════════ ","color":"yellow"},{"text":"<","color":"gold","hoverEvent": {"action":"show_text","contents":[{"text":"Last Page"}]},"clickEvent": {"action": "run_command","value": "/function enchantmentplus:admin_menu/pages/page_16"}},{"text":"  1 / 16 ","color":"white"},{"text":">","color":"gold","hoverEvent": {"action":"show_text","contents":[{"text":"Next Page"}]},"clickEvent": {"action": "run_command","value": "/function enchantmentplus:admin_menu/pages/page_2"}},{"text":" ══════════","color":"yellow"}]

# Play Sound
playsound minecraft:ui.button.click player @s ~ ~ ~ 0.5 1.75

# Prevent Command Feedback
function enchantmentplus:command_feedback/disable