# Title
tellraw @s [{"text":"\n\n\n\n\n\n\n\n\n\n══════ ","color":"yellow"},{"text":"Enchantment+ Admin Menu ","color":"aqua","hoverEvent":{"action":"show_text","contents":[{"text":"Enable/disable/limit the features\nof the data pack here"}]}},{"text":"════ ","color":"yellow"},{"text":"●","color":"red","hoverEvent":{"action":"show_text","contents":[{"text":"Reset to default settings?"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/reset_to_default"}},{"text":" ═","color":"yellow"}]
tellraw @s {"text":""}

# Resource Enchanting
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Resource Enchanting XP Requirement: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the required experience levels\nfor enchanting items with resources"}]}},{"storage":"enchantmentplus","nbt":"XpRequirements.ResourceModule","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpRequirements.ResourceModule set value "}}]
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Resource Enchanting XP Cost: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the experience level cost\nfor enchanting items with resources"}]}},{"storage":"enchantmentplus","nbt":"XpCosts.ResourceModule","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpCosts.ResourceModule set value "}}]

# Disenchantment Module
execute if score %DisenchantmentModuleEnabled ENCHSettings matches 1 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Disenchantment Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls disenchanting"}]}},{"text":"[ON]","color":"green"},{"text":" / ","color":"white"},{"text":"[OFF]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to disable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/disenchantment_module_off"}}]
execute if score %DisenchantmentModuleEnabled ENCHSettings matches 0 run tellraw @s [{"text":"  ","color":"yellow"},{"text":"Disenchantment Module: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"This controls disenchanting"}]}},{"text":"[ON]","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to enable"}]},"clickEvent":{"action":"run_command","value":"/function enchantmentplus:admin_menu/modules/disenchantment_module_on"}},{"text":" / ","color":"white"},{"text":"[OFF]","color":"red"}]

# Disenchanting
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Disenchanting XP Requirement: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the required experience levels\nfor disenchanting"}]}},{"storage":"enchantmentplus","nbt":"XpRequirements.DisenchantmentModule","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpRequirements.DisenchantmentModule set value "}}]
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Disenchanting XP Cost: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the experience level cost\nfor disenchanting"}]}},{"storage":"enchantmentplus","nbt":"XpCosts.DisenchantmentModule","color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/data modify storage enchantmentplus XpCosts.DisenchantmentModule set value "}}]

# Bane of Arthropods Max Level
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Bane of Arthropods Max Level: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the maximum level for this enchantment"}]}},{"score":{"name":"%BaneOfArthropodsMaxLevel","objective":"ENCHSettings"},"color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set %BaneOfArthropodsMaxLevel ENCHSettings "}}]

# Blast Protection Max Level
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Blast Protection Max Level: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the maximum level for this enchantment"}]}},{"score":{"name":"%BlastProtectionMaxLevel","objective":"ENCHSettings"},"color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set %BlastProtectionMaxLevel ENCHSettings "}}]

# Efficiency Max Level
tellraw @s [{"text":"  ","color":"yellow"},{"text":"Efficiency Max Level: ","color":"white","hoverEvent":{"action":"show_text","contents":[{"text":"Set the maximum level for this enchantment"}]}},{"score":{"name":"%EfficiencyMaxLevel","objective":"ENCHSettings"},"color":"gray","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to edit"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set %EfficiencyMaxLevel ENCHSettings "}}]

# Page Buttons
tellraw @s {"text":""}
tellraw @s [{"text":"══════════ ","color":"yellow"},{"text":"<","color":"gold","hoverEvent": {"action":"show_text","contents":[{"text":"Previous Page"}]},"clickEvent": {"action": "run_command","value": "/function enchantmentplus:admin_menu/pages/page_1"}},{"text":"  2 / 16 ","color":"white"},{"text":">","color":"gold","hoverEvent": {"action":"show_text","contents":[{"text":"Next Page"}]},"clickEvent": {"action": "run_command","value": "/function enchantmentplus:admin_menu/pages/page_3"}},{"text":" ══════════","color":"yellow"}]

# Play Sound
playsound minecraft:ui.button.click player @s ~ ~ ~ 0.5 1.75

# Prevent Command Feedback
function enchantmentplus:command_feedback/disable