# Delete Unwanted Items
clear @s #enchantmentplus:all{EnchantmentPlusData:{id:"output_slot"}}
clear @s #enchantmentplus:all{EnchantmentPlusData:{id:"locked_slot"}}

# Update Outdated Item in Mainhand
execute if predicate enchantmentplus:obtain/update/both run function enchantmentplus:obtain/update/check_item

# Update Outdated Enchantments
execute if predicate enchantmentplus:update_enchantments at @s run function enchantmentplus:update_enchantments/prepare

# Fix Attributes
execute if predicate enchantmentplus:fix_attributes at @s run function enchantmentplus:fix_attributes/check_slot

# Option Menu
execute if score @s Enchantment+Menu matches 1.. at @s run function enchantmentplus:option_menu/check

# Check for Status Effect Enchantments
execute as @a[predicate=enchantmentplus:custom/status_effects,tag=!global.ignore,tag=!global.ignore.gui] at @s run function enchantmentplus:custom/status_effects/main

# Shadow Hunter Killed
execute if entity @s[advancements={enchantmentplus:custom/shadow_hunter_killed=true}] at @s run function enchantmentplus:custom/shadow_hunter/killed

# Void Strike Effects
execute if score @s ENCHVoidStrikeCooldown matches 1.. at @s run function enchantmentplus:custom/void_strike/effects/main

# Wide Preview Selection
execute if score %WidePreview ENCHSettings matches 1.. if predicate enchantmentplus:custom/wide/preview_selection at @s run function enchantmentplus:custom/wide/preview_selection/prepare

# Custom Enchantments
execute if predicate enchantmentplus:custom/all at @s run function enchantmentplus:custom

# Ready Notifications
execute if score @s ENCHDeflectCooldown matches 1 at @s run title @s actionbar [{"text":"Deflect","color":"#E0A660"},{"text":" is ready","color":"green"}]
execute if score @s ENCHDeflectCooldown matches 1 at @s run playsound minecraft:entity.experience_orb.pickup player @s ~ ~ ~ 1 2

execute if score @s ENCHVoidStrikeCooldown matches 1 at @s run title @s actionbar [{"text":"Void Strike","color":"#9900FF"},{"text":" is ready","color":"green"}]
execute if score @s ENCHVoidStrikeCooldown matches 1 at @s run playsound minecraft:entity.experience_orb.pickup player @s ~ ~ ~ 1 2

# Reset Scoreboards
function enchantmentplus:reset