# Enchantment ID
scoreboard players set @s ENCHRecipeId 5000

# Clear Storages
data remove storage enchantmentplus center_item.Enchantments
data remove storage enchantmentplus combined_book.StoredEnchantments

# Copy the Main Book
data modify storage enchantmentplus center_item.Enchantments set from block ~ ~ ~ Items[{Slot:11b}].tag.Enchantments

# Find the Other Book Slot and Get Data
execute if data block ~ ~ ~ Items[{Slot:1b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:1b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:2b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:2b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:3b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:3b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:10b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:10b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:12b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:12b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:19b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:19b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:20b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:20b}].tag.StoredEnchantments
execute if data block ~ ~ ~ Items[{Slot:21b}] run data modify storage enchantmentplus combined_book.StoredEnchantments set from block ~ ~ ~ Items[{Slot:21b}].tag.StoredEnchantments

# Enchantments
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:aqua_affinity"}] if predicate enchantmentplus:recipes/vanilla/item/aqua_affinity run function enchantmentplus:table/recipes/vanilla/item/aqua_affinity
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:bane_of_arthropods"}] if predicate enchantmentplus:recipes/vanilla/item/bane_of_arthropods unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:sharpness"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:smite"}] run function enchantmentplus:table/recipes/vanilla/item/bane_of_arthropods
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:blast_protection"}] if predicate enchantmentplus:recipes/vanilla/item/blast_protection unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:projectile_protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:fire_protection"}] run function enchantmentplus:table/recipes/vanilla/item/blast_protection
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:channeling"}] if predicate enchantmentplus:recipes/vanilla/item/channeling unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:riptide"}] run function enchantmentplus:table/recipes/vanilla/item/channeling
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:binding_curse"}] if predicate enchantmentplus:recipes/vanilla/item/curse_of_binding run function enchantmentplus:table/recipes/vanilla/item/curse_of_binding
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:vanishing_curse"}] if predicate enchantmentplus:recipes/vanilla/item/curse_of_vanishing run function enchantmentplus:table/recipes/vanilla/item/curse_of_vanishing
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:depth_strider"}] if predicate enchantmentplus:recipes/vanilla/item/depth_strider unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:frost_walker"}] run function enchantmentplus:table/recipes/vanilla/item/depth_strider
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:efficiency"}] if predicate enchantmentplus:recipes/vanilla/item/efficiency run function enchantmentplus:table/recipes/vanilla/item/efficiency
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:feather_falling"}] if predicate enchantmentplus:recipes/vanilla/item/feather_falling run function enchantmentplus:table/recipes/vanilla/item/feather_falling
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:fire_aspect"}] if predicate enchantmentplus:recipes/vanilla/item/fire_aspect run function enchantmentplus:table/recipes/vanilla/item/fire_aspect
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:fire_protection"}] if predicate enchantmentplus:recipes/vanilla/item/fire_protection unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:projectile_protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:blast_protection"}] run function enchantmentplus:table/recipes/vanilla/item/fire_protection
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:flame"}] if predicate enchantmentplus:recipes/vanilla/item/flame run function enchantmentplus:table/recipes/vanilla/item/flame
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:fortune"}] if predicate enchantmentplus:recipes/vanilla/item/fortune unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:silk_touch"}] run function enchantmentplus:table/recipes/vanilla/item/fortune
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:frost_walker"}] if predicate enchantmentplus:recipes/vanilla/item/frost_walker unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:depth_strider"}] unless data block ~ ~ ~ Items[{Slot:11b}].tag.EnchantmentPlusData.LavaWalker run function enchantmentplus:table/recipes/vanilla/item/frost_walker
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:impaling"}] if predicate enchantmentplus:recipes/vanilla/item/impaling run function enchantmentplus:table/recipes/vanilla/item/impaling
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:infinity"}] if predicate enchantmentplus:recipes/vanilla/item/infinity unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:mending"}] unless data block ~ ~ ~ Items[{Slot:11b}].tag.Unbreakable run function enchantmentplus:table/recipes/vanilla/item/infinity
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:knockback"}] if predicate enchantmentplus:recipes/vanilla/item/knockback run function enchantmentplus:table/recipes/vanilla/item/knockback
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:looting"}] if predicate enchantmentplus:recipes/vanilla/item/looting run function enchantmentplus:table/recipes/vanilla/item/looting
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:loyalty"}] if predicate enchantmentplus:recipes/vanilla/item/loyalty unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:riptide"}] run function enchantmentplus:table/recipes/vanilla/item/loyalty
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:luck_of_the_sea"}] if predicate enchantmentplus:recipes/vanilla/item/luck_of_the_sea run function enchantmentplus:table/recipes/vanilla/item/luck_of_the_sea
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:lure"}] if predicate enchantmentplus:recipes/vanilla/item/lure run function enchantmentplus:table/recipes/vanilla/item/lure
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:mending"}] if predicate enchantmentplus:recipes/vanilla/item/mending unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:infinity"}] run function enchantmentplus:table/recipes/vanilla/item/mending
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:multishot"}] if predicate enchantmentplus:recipes/vanilla/item/multishot unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:piercing"}] run function enchantmentplus:table/recipes/vanilla/item/multishot
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:piercing"}] if predicate enchantmentplus:recipes/vanilla/item/piercing unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:multishot"}] run function enchantmentplus:table/recipes/vanilla/item/piercing
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:power"}] if predicate enchantmentplus:recipes/vanilla/item/power run function enchantmentplus:table/recipes/vanilla/item/power
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:projectile_protection"}] if predicate enchantmentplus:recipes/vanilla/item/projectile_protection unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:blast_protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:fire_protection"}] run function enchantmentplus:table/recipes/vanilla/item/projectile_protection
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:protection"}] if predicate enchantmentplus:recipes/vanilla/item/protection unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:projectile_protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:blast_protection"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:fire_protection"}] run function enchantmentplus:table/recipes/vanilla/item/protection
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:punch"}] if predicate enchantmentplus:recipes/vanilla/item/punch run function enchantmentplus:table/recipes/vanilla/item/punch
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:quick_charge"}] if predicate enchantmentplus:recipes/vanilla/item/quick_charge run function enchantmentplus:table/recipes/vanilla/item/quick_charge
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:respiration"}] if predicate enchantmentplus:recipes/vanilla/item/respiration run function enchantmentplus:table/recipes/vanilla/item/respiration
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:riptide"}] if predicate enchantmentplus:recipes/vanilla/item/riptide unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:loyalty"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:channeling"}] run function enchantmentplus:table/recipes/vanilla/item/riptide
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:sharpness"}] if predicate enchantmentplus:recipes/vanilla/item/sharpness unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:smite"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:bane_of_arthropods"}] run function enchantmentplus:table/recipes/vanilla/item/sharpness
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:silk_touch"}] if predicate enchantmentplus:recipes/vanilla/item/silk_touch unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:fortune"}] run function enchantmentplus:table/recipes/vanilla/item/silk_touch
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:smite"}] if predicate enchantmentplus:recipes/vanilla/item/smite unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:sharpness"}] unless data storage enchantmentplus center_item.Enchantments[{id:"minecraft:bane_of_arthropods"}] run function enchantmentplus:table/recipes/vanilla/item/smite
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:soul_speed"}] if predicate enchantmentplus:recipes/vanilla/item/soul_speed run function enchantmentplus:table/recipes/vanilla/item/soul_speed
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:sweeping"}] if predicate enchantmentplus:recipes/vanilla/item/sweeping_edge run function enchantmentplus:table/recipes/vanilla/item/sweeping_edge
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:swift_sneak"}] if predicate enchantmentplus:recipes/vanilla/item/swift_sneak run function enchantmentplus:table/recipes/vanilla/item/swift_sneak
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:thorns"}] if predicate enchantmentplus:recipes/vanilla/item/thorns run function enchantmentplus:table/recipes/vanilla/item/thorns
execute if data storage enchantmentplus combined_book.StoredEnchantments[{id:"minecraft:unbreaking"}] if predicate enchantmentplus:recipes/vanilla/item/unbreaking run function enchantmentplus:table/recipes/vanilla/item/unbreaking

# Set Output Item
item replace block ~ ~ ~ container.15 from block ~ ~ ~ container.11
data modify block ~ ~ ~ Items[{Slot:15b}].tag.Enchantments set from storage enchantmentplus center_item.Enchantments

# No Output Difference
data modify entity @s data.OutputItem set from block ~ ~ ~ Items[{Slot:11b}]
data modify entity @s data.OutputItem.Slot set value 15b
execute store success score @s ENCHTemp run data modify entity @s data.OutputItem set from block ~ ~ ~ Items[{Slot:15b}]
execute if score @s ENCHTemp matches 0 run function enchantmentplus:table/recipes/vanilla/no_output_difference

# Set Output Slot Data
data modify block ~ ~ ~ Items[{Slot:15b}].tag.EnchantmentPlusData.id set value "output_slot"